function SortData(TbodyId, Index, CmpFunc, GetFunc, SortTypeId, SortType) {
	var i;
	var Value = new Array;
	var TbodyObject = document.getElementById(TbodyId);
	var Rows = TbodyObject.rows;
	var Number = Rows.length;
	var TbodyNew = document.createElement('tbody');
	if (SortTypeId) {
		document.getElementById(SortTypeId).innerHTML = SortType;
	}
	CmpFunc = CmpFunc || arguments.callee.compareFunc;
	GetFunc = GetFunc || arguments.callee.getFunc || function(Cell){return Cell.nodeName;};
	for (i = 0; i < Number; i++) {
		Value[i] = Object(GetFunc(Rows[i].cells[Index], Rows[i].cells[0]));
		Value[i].row = Rows[i];
	}
	if (CmpFunc) {
		Value.sort(CmpFunc);
	}
	else {
		Value.sort();
	}
	TbodyObject.parentNode.replaceChild(TbodyNew, TbodyObject);
	for (i = 0; i < Number; i++) {
		TbodyObject.appendChild(Value[i].row);
	}
	TbodyNew.parentNode.replaceChild(TbodyObject, TbodyNew);
}
function GetDataFunc1(Cell) {
	return eval(Cell.firstChild.nodeValue);
}
function GetDataFunc2(Cell1, Cell2) {
	return ((Cell1.firstChild.nodeValue == "--") ? 0 : eval(Cell1.firstChild.nodeValue) * 10000) + 10000 - eval(Cell2.firstChild.nodeValue);
}
function CompareFunc1(Value1, Value2) {
	return (Value1 > Value2) ? -1 : Value1 != Value2;
}
function CompareFunc2(Value1, Value2) {
	return (Value1 < Value2) ? -1 : Value1 != Value2;
}
function GetBytes(Text, Limit) {
	var c, i;
	var n = 0;
	for (i = 0; i < Text.length; i++) {
		c = Text.charAt(i);
		if (c >= "" && c <= "") {
			n += 2;
		}
		else if (c == "&") {
			n += 5;
		}
		else if (c == "<") {
			n += 4;
		}
		else if (c == ">") {
			n += 4;
		}
		else if (c == "\"") {
			n += 6;
		}
		else if (c == "'") {
			n += 5;
		}
		else if (c == "\r") {
			n += 4;
			if (Text.charAt(i + 1) == "\n") {
				i++;
			}
		}
		else if (c == "\n") {
			n += 4;
		}
		else if (escape(c).length > 3) {
			n += 2;
		}
		else {
			n += 1;
		}
		if (n >= Limit) {
			n = Limit;
			break;
		}
	}
	return n;
}
function Counter(Text1, Text2, Type) {
	if (Type == 0) {
		Text2.value = GetBytes(Text1.value, 999);
	}
	else if (Type == 1) {
		Text2.value = parseInt((GetBytes(Text1.value, 1998) + 1) / 2);
	}
	else {
		Text2.value = parseInt((GetBytes(Text1.value, 3998) + 1) / 2);
	}
}
